# -*- coding: UTF-8 -*-
import sys
import os
sys.path[0] = os.path.normpath('%s/../../..' % sys.path[0])
from common import config, logger
from upload.fam.restService import RestService
import traceback

log = logger.getUploadLogger("rest")
configFileName = sys.path[0] + "/../config/cash/exchangers.ini"

log.info(u"Запуск REST сервиса загрузки справочников")
if not config.read(configFileName):
    log.error(u"Файл настроек '%s' не найден. Сервис не будет запущен" % configFileName)
    exit(1)

try:
    RestService(isCash=True).start()
except Exception as e:
    log.error(u'Ошибка: %s' % e)
    log.error(traceback.format_exc())
